package dk.vajhoej.test;

import javax.ejb.*;

/**
 * TestEntityBean.
 *
 * @ejb.bean
 *     name="TestEntity"
 *     type="CMP"
 *     cmp-version="2.x"
 *     jndi-name="ejb/TestEntity"
 *     local-jndi-name="ejb/LocalTestEntity"
 *     primkey-field="f1"
 *
 * @ejb.finder
 *     signature="java.util.Collection findAll()"
 *
 * @ejb.persistence
 *     table-name="T1"
 *
 * @jboss.persistence
 *     datasource="java:/TestMSAccess"
 *     datasource-mapping="SOLID"
 */
abstract public class TestEntityBean implements EntityBean {
    private EntityContext entityContext;
    public Integer ejbCreate(Integer f1, String f2) throws CreateException {
        setF1(f1);
        setF2(f2);
        return null;
    }
    public void ejbPostCreate(Integer f1, String f2) throws CreateException {
    }
    public void ejbRemove() throws RemoveException {
    }
    public void ejbLoad() {
    }
    public void ejbStore() {
    }
    public void ejbActivate() {
    }
    public void ejbPassivate() {
    }
    public void unsetEntityContext() {
        this.entityContext = null;
    }
    public void setEntityContext(EntityContext entityContext) {
        this.entityContext = entityContext;
    }
    /**
     * @ejb.persistence
     *     column-name = "F1"
     *
     * @ejb.pk-field
     *
     * @ejb.interface-method
     *     view-type="both"
     */
    public abstract Integer getF1();
    /**
     * @ejb.interface-method
     *     view-type="both"
     */
    public abstract void setF1(Integer f1);
    /**
     * @ejb.persistence
     *     column-name = "F2"
     *
     * @ejb.interface-method
     *     view-type="both"
     */
    public abstract String getF2();
    /**
     * @ejb.interface-method
     *     view-type="both"
     */
    public abstract void setF2(String f2);
}